> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pushcash.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a user

> Retrieve a user by ID



## OpenAPI

````yaml /openapi.yaml get /user/{id}
openapi: 3.0.1
info:
  title: Push API
  version: 0.0.1
servers:
  - url: https://api.pushcash.com
    description: Production API
  - url: https://sandbox.pushcash.com
    description: Sandbox API used for developing an integration with Push
security:
  - bearer: []
tags:
  - name: user
  - name: tokenization
  - name: authorization
  - name: intent
  - name: dispute
  - name: refund
  - name: accounts
  - name: transactions
  - name: transfer
paths:
  /user/{id}:
    get:
      tags:
        - user
      summary: Get a user
      description: Retrieve a user by ID
      operationId: getUser
      parameters:
        - name: id
          in: path
          description: The push identifier for the user
          required: true
          schema:
            type: string
            example: user_28CJjV7P4Go5PNJvfzghiD
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          description: Push's identifier assigned to the user
        tag:
          type: string
          nullable: true
          description: The tag provided in the request to create the user
        status:
          $ref: '#/components/schemas/UserStatus'
        name:
          $ref: '#/components/schemas/Name'
        address:
          $ref: '#/components/schemas/Address'
        email:
          type: string
          description: The email address for the user
          example: john@email.com
        phone_number:
          type: string
          nullable: true
          description: The phone number for the user
          example: '15559283950'
        date_of_birth:
          type: string
          format: date
          description: The user's date of birth
        government_id:
          $ref: '#/components/schemas/GovernmentIssuedID'
        payment_credentials:
          description: The payment credentials associated with the user
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PaymentCredential'
        card_only_credentials:
          description: The card only credentials associated with the user
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Card'
        limits:
          $ref: '#/components/schemas/UserLimits'
        created_at:
          type: string
          description: Date and time in which user was first created in system
          format: date-time
      example:
        id: user_28CJjV7P4Go5PNJvfzghiD
        tag: 4c8e6b4f
        status: enabled
        name:
          first: Alfred
          last: Hitchcock
        address:
          address_line_1: 1609 10th Ave
          locality: Bodega Bay
          administrative_area: CA
          postal_code: '94923'
          country: US
        email: alfred@imdb.com
        phone_number: (555) 681-3485
        date_of_birth: '1899-08-13'
        government_id:
          type: passport
          last4: '7349'
        payment_credentials:
          - bank_name: Space Coast Credit Union
            account:
              number_mask: '5978'
              routing: '263177903'
            card:
              primary_account_number_mask: '6018'
              expiration: '2024-05-01'
              brand: visa
        limits:
          daily_limit: 1800000
          currency: USD
        created_at: '2023-04-10T05:10:14.532Z'
      required:
        - id
        - tag
        - status
        - name
        - address
        - email
        - phone_number
        - date_of_birth
        - government_id
        - payment_credentials
        - card_only_credentials
        - limits
        - created_at
    error:
      description: Description of the error encountered from the API request
      type: object
    UserStatus:
      type: string
      enum:
        - created
        - enabled
        - suspended
        - disabled
      x-enumDescriptions:
        created: >-
          The user has been created but has not yet performed a successful
          intent.
        enabled: The user is enabled and has successfully performed an intent.
        suspended: The user is temporarily suspended for review due to unusual activity.
        disabled: >-
          A suspension was upheld and the user has been permanently disabled by
          Push Cash.
    Name:
      type: object
      description: The legal name of the user
      example:
        first: Alfred
        last: Hitchcock
      properties:
        first:
          description: The person's given name
          type: string
        last:
          description: The person's family name
          type: string
      required:
        - first
        - last
    Address:
      type: object
      description: The address of the user's primary location
      example:
        address_line_1: 1609 10th Ave
        locality: Bodega Bay
        administrative_area: CA
        postal_code: '94923'
        country: US
      properties:
        address_line_1:
          type: string
          description: The first line for the address
        locality:
          type: string
          description: The city or township
        administrative_area:
          type: string
          description: The state as a two-character code (e.g., CA, WA, TN, AL).
        postal_code:
          type: string
          description: The postal code, following the format XXXXX or XXXXX-XXXX.
        country:
          type: string
          description: The country
      required:
        - address_line_1
        - locality
        - administrative_area
        - postal_code
        - country
    GovernmentIssuedID:
      type: object
      example:
        type: drivers_license
        last4: Y7B9
        state: OR
      properties:
        type:
          type: string
          description: The type of government-issued ID
          enum:
            - drivers_license
            - passport
            - state_id
            - military_id
            - ssn
        last4:
          type: string
          description: The last 4 characters of the ID or number
        state:
          type: string
          minLength: 2
          maxLength: 2
          description: >-
            The 2-letter code for the state in which the ID was issued. Only
            required if the ID is a driver's license or state ID.
      required:
        - type
        - last4
    PaymentCredential:
      type: object
      description: The details for the user's payment credential
      example:
        bank_name: Space Coast Credit Union
        account:
          number_mask: '5978'
          routing: '263177903'
        card:
          primary_account_number_mask: '6018'
          expiration: '2024-05-01'
          brand: visa
        created_at: '2023-04-10T05:10:14.532Z'
      properties:
        bank_name:
          type: string
          description: The name of the bank associated with the credential
          example: Space Coast Credit Union
        account:
          type: object
          properties:
            number_mask:
              type: string
              description: The account number (mask)
            routing:
              type: string
              description: The routing number for the account
          required:
            - number_mask
            - routing
        card:
          $ref: '#/components/schemas/Card'
      required:
        - bank_name
        - account
        - card
    Card:
      type: object
      description: Card details
      properties:
        primary_account_number_mask:
          type: string
          description: The primary account number (mask)
        expiration:
          type: string
          description: The expiration date for the card
          format: date
        brand:
          type: string
          description: The card brand
          enum:
            - mastercard
            - visa
            - amex
            - discover
      required:
        - primary_account_number_mask
        - expiration
    UserLimits:
      type: object
      description: The transaction limits for the user
      properties:
        daily_limit:
          type: integer
          description: >-
            The daily transaction limit for the user (in the smallest currency
            unit).
        currency:
          $ref: '#/components/schemas/Currency'
      required:
        - daily_limit
        - currency
    Currency:
      type: string
      description: Currency associated with the amount
      enum:
        - USD
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````